Bug 212671 - wptg_tbt:t13y:please provide comments for these DNT strings
wptg_tbt:t13y:please provide comments for these DNT strings
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: DB schema
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Jaroslav Havlin
issues@db
: I18N
Depends on:
Blocks: 212666
  Show dependency treegraph
 
Reported: 2012-05-18 07:06 UTC by Marian Mirilovic
Modified: 2012-05-22 08:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2012-05-18 07:06:24 UTC
There are some strings in Netbeans 7.2 t13y analysis, which are regarded as DNT
strings by our tool. please help to confirm if they are translatable or not, if
they are translatable, please change their format to initial caps.

Strings longer than four characters in ALLCAPS format are treated as Read-Only by our tool. Please change the format to Initial Caps to prevent this string from being read-only. It is physically impossible for us to translate it in its current format :
netbeans/java/dbschema/dbschema/org/netbeans/modules/dbschema/resources/Bundle.properties
SQL_ARRAY	ARRAY
SQL_BINARY	BINARY
Comment 1 Jaroslav Havlin 2012-05-21 08:50:07 UTC
Strings SQL_ARRAY=ARRAY and SQL_BINARY=BINARY are not translatable. They are marked with #NOI18N comments:

#NOI18N
SQL_ARRAY=ARRAY
[...]
#NOI18N
SQL_BINARY=BINARY

Should these strings be marked as untranslatable in some other way?
Comment 2 Jaroslav Havlin 2012-05-22 08:34:36 UTC
http://hg.netbeans.org/core-main/rev/968b3ca196a2
Fixed. Strings made non-localizable.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo